Problems activating your account? Send notification email to: admin@post4vps.com
Host4Fun Budget VPS Hosting
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Error While Update VPS
#1
Hi all .
whenever i try to put this command "apt-get update"
i got those errors.
W: Target Sources (main/source/Sources) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:17
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list:16
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list:16
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list:16
W: Target Sources (main/source/Sources) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:4 and /etc/apt/sources.list:13
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:4 and /etc/apt/sources.list:13
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:4 and /etc/apt/sources.list:13
W: Target Sources (main/source/Sources) is configured multiple times in /etc/apt/sources.list:2 and /etc/apt/sources.list:11
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:1 and /etc/apt/sources.list:10
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:1 and /etc/apt/sources.list:10
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:1 and /etc/apt/sources.list:10
W: Target Sources (main/source/Sources) is configured multiple times in /etc/apt/sources.list:2 and /etc/apt/sources.list:11
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:1 and /etc/apt/sources.list:10
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:1 and /etc/apt/sources.list:10
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:1 and /etc/apt/sources.list:10
W: Target Sources (main/source/Sources) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:4 and /etc/apt/sources.list:13
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:4 and /etc/apt/sources.list:13
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:4 and /etc/apt/sources.list:13
W: Target Sources (main/source/Sources) is configured multiple times in /etc/apt/sources.list:8 and /etc/apt/sources.list:17
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list:16
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list:16
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list:16


anyone help me regarding this issue.

Heart LOVE FOR ALL  HATRED FOR NONE Heart
Reply
#2
Show us the content of the file /etc/apt/sources.list please.

You can retrieve the content of the file with either a text editor like nano, vim or vi or you can use the cat command:
cat /etc/apt/sources.list
Reply
#3
(08-04-2018, 07:54 AM)Hidden Refuge Wrote:  Show us the content of the file /etc/apt/sources.list please.

You can retrieve the content of the file with either a text editor like nano, vim or vi or you can use the cat command:
cat /etc/apt/sources.list

deb http://deb.debian.org/debian stretch main
deb-src http://deb.debian.org/debian stretch main

deb http://deb.debian.org/debian stretch-updates main
deb-src http://deb.debian.org/debian stretch-updates main

deb http://security.debian.org/debian-security/ stretch/updates main
deb-src http://security.debian.org/debian-security/ stretch/updates main

deb http://deb.debian.org/debian stretch main contrib non-free
deb-src http://deb.debian.org/debian stretch main contrib non-free

deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security/ stretch/updates main contrib non-free

i try to replace the default sources.list from my old backup like

#------------------------------------------------------------------------------#
# OFFICIAL DEBIAN REPOS
#------------------------------------------------------------------------------#

###### Debian Main Repos
deb http://ftp.us.debian.org/debian/ jessie main contrib non-free

###### Debian Update Repos
deb http://security.debian.org/ jessie/updates main contrib non-free
deb http://ftp.us.debian.org/debian/ jessie-proposed-updates main contrib non-free
deb http://download.webmin.com/download/repository sarge contrib
deb http://webmin.mirror.somersettechsolutio...repository sarge contrib


but i got still this error.

Ign:1 http://download.webmin.com/download/repository sarge InRelease
Get:2 http://security.debian.org jessie/updates InRelease [44.9 kB]
Ign:3 http://ftp.us.debian.org/debian jessie InRelease
Get:4 http://download.webmin.com/download/repository sarge Release [14.9 kB]
Get:5 http://ftp.us.debian.org/debian jessie-proposed-updates InRelease [139 kB]
Get:6 http://download.webmin.com/download/repository sarge Release.gpg [173 B]
Get:7 http://ppa.launchpad.net/webupd8team/java/ubuntu cosmic InRelease [15.4 kB]
Ign:8 http://webmin.mirror.somersettechsolutio...repository sarge InRelease
Get:9 http://security.debian.org jessie/updates/main amd64 Packages [509 kB]
Ign:6 http://download.webmin.com/download/repository sarge Release.gpg
Get:10 http://ftp.us.debian.org/debian jessie Release [148 kB]
Get:11 http://download.webmin.com/download/repository sarge/contrib amd64 Packages [1378 B]
Get:12 http://webmin.mirror.somersettechsolutio...repository sarge Release [14.9 kB]
Get:13 http://ftp.us.debian.org/debian jessie Release.gpg [2420 B]
Get:14 http://ftp.us.debian.org/debian jessie-proposed-updates/main amd64 Packages [720 B]
Get:15 http://ftp.us.debian.org/debian jessie-proposed-updates/main Translation-en [167 B]
Ign:7 http://ppa.launchpad.net/webupd8team/java/ubuntu cosmic InRelease
Ign:16 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic InRelease
Get:17 http://security.debian.org jessie/updates/main Translation-en [275 kB]
Get:18 http://webmin.mirror.somersettechsolutio...repository sarge Release.gpg [173 B]
Get:19 http://ftp.us.debian.org/debian jessie/main amd64 Packages [6818 kB]
Ign:18 http://webmin.mirror.somersettechsolutio...repository sarge Release.gpg
Ign:20 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic Release
Get:21 http://security.debian.org jessie/updates/contrib amd64 Packages [2506 B]
Get:22 http://webmin.mirror.somersettechsolutio...repository sarge/contrib amd64 Packages [1378 B]
Ign:23 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main amd64 Packages
Get:24 http://security.debian.org jessie/updates/contrib Translation-en [1211 B]
Ign:25 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main all Packages
Get:26 http://security.debian.org jessie/updates/non-free amd64 Packages [566 B]
Ign:27 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main Translation-en
Get:28 http://security.debian.org jessie/updates/non-free Translation-en [306 B]
Ign:23 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main amd64 Packages
Get:29 http://ftp.us.debian.org/debian jessie/main Translation-en [4581 kB]
Ign:25 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main all Packages
Ign:27 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main Translation-en
Ign:23 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main amd64 Packages
Ign:25 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main all Packages
Get:30 http://ftp.us.debian.org/debian jessie/contrib amd64 Packages [49.8 kB]
Get:31 http://ftp.us.debian.org/debian jessie/contrib Translation-en [38.3 kB]
Get:32 http://ftp.us.debian.org/debian jessie/non-free amd64 Packages [83.2 kB]
Get:33 http://ftp.us.debian.org/debian jessie/non-free Translation-en [72.0 kB]
Ign:27 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main Translation-en
Ign:23 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main amd64 Packages
Ign:25 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main all Packages
Ign:27 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main Translation-en
Ign:23 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main amd64 Packages
Ign:25 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main all Packages
Ign:27 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main Translation-en
Err:23 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main amd64 Packages
404 Not Found
Ign:25 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main all Packages
Ign:27 http://ppa.launchpad.net/webupd8team/y-p...ger/ubuntu cosmic/main Translation-en
Fetched 12.8 MB in 5s (2229 kB/s)
Reading package lists... Done
W: GPG error: http://download.webmin.com/download/repository sarge Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D97A3AE911F63C51
W: The repository 'http://download.webmin.com/download/repository sarge Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://ppa.launchpad.net/webupd8team/java/ubuntu cosmic InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C2518248EEA14886
W: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu cosmic InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://webmin.mirror.somersettechsolutio...repository sarge Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D97A3AE911F63C51
W: The repository 'http://webmin.mirror.somersettechsolutions.co.uk/repository sarge Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu cosmic Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://ppa.launchpad.net/webupd8team/y-p...4/Packages 404 Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

Heart LOVE FOR ALL  HATRED FOR NONE Heart
Reply
#4
Are you running Debian 8 with Debian 9 repository? This is not recommended as it can bring great conflict between package version and applications. Moreover it can even break the OS by installing more up to date packages but not compatible packages. Be careful with this!

Replace:
deb http://deb.debian.org/debian stretch main
deb-src http://deb.debian.org/debian stretch main

deb http://deb.debian.org/debian stretch-updates main
deb-src http://deb.debian.org/debian stretch-updates main

deb http://security.debian.org/debian-security/ stretch/updates main
deb-src http://security.debian.org/debian-security/ stretch/updates main

deb http://deb.debian.org/debian stretch main contrib non-free
deb-src http://deb.debian.org/debian stretch main contrib non-free

deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security/ stretch/updates main contrib non-free

with this:
deb http://deb.debian.org/debian stretch main contrib non-free
deb-src http://deb.debian.org/debian stretch main contrib non-free

deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security/ stretch/updates main contrib non-free

deb https://download.webmin.com/download/repository sarge contrib

This will solve the first problem you had that reported conflicts due to duplications. Run "apt-get update" after replacing the sources to verify everything is working.


Regarding your second error. You have to install the authentication key of the custom repository you added so that your Debian server can trust the sources from which the packages are being downloaded.

Do the following to fix the issue.

Go to /tmp folder:
cd /tmp

Download the webmin repository authentication key:
wget http://www.webmin.com/jcameron-key.asc

Install the authentication key:
apt-key add jcameron-key.asc

After successfull installation of the key you can delete the downloaded file:
rm -f jcameron-key.asc

Install the HTTPS module for apt package manager:
apt-get install apt-transport-https

Refresh package sources:
apt-get update

That should be it Smile .
Reply
#5
i have Debian 9 x64 installed. 
i done one thing. i go to sources.list.d folder and remove all .list files. and again add those lines in sources.list file

deb http://ftp.us.debian.org/debian/ stretch main contrib non-free
deb http://ftp.us.debian.org/debian/ stretch-updates main contrib non-free
deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free

and after if i do apply apt-get update and its works this time.

E: Unable to locate package apt-transport-https   got this error

after this command

apt-get install apt-transport-https

Heart LOVE FOR ALL  HATRED FOR NONE Heart
Reply
#6
The package "apt-transport-https" exists in Stretch and I know this 100%. It is even listed at the Stretch package database on the Debian site: https://packages.debian.org/stretch/apt-transport-https

So you should be able to install it after running apt-get update easily.

Try to this again:
apt-get update  && apt-get install apt-transport-https ca-certificates


For the sake of this forum and making threads readable stop quoting so huge posts. This forum has the mention plugin installed. So you can just use it to reply to me instead of quoting a huge wall of text.
@"Hidden Refuge"
^ turns into @Hidden Refuge
Reply
#7
i do copy all log here because whenever i need help on any issue everyone who know the problem will reply that send complete log .. even you too. so thats why i paste command reply completely.

Heart LOVE FOR ALL  HATRED FOR NONE Heart
Reply
#8
You are misunderstanding something here. It is absolutely alright to provide logs. We need logs as they're the most helpful information we can get to debug a problem. I quoted the log part of your reply instead of the whole reply you made. I quoted this part of the logs because I want to show what exactly needs to be replace with what the new content. That part is absolutely alright.

You however quoted my whole reply that I made to you with the solutions to your two problems from your previous post. If you scroll up you see how large my post actually is because it contains your logs, the new content for sources.list and the solution to fix the errors of the Webmin repository. And if people keep quoting this everytime they reply to a specific part of it then this thread will be unreadable and quickly filled up.

Anyway. We're going off topic when we talk about this here. Check https://post4vps.com/thread-2275.html


Has the last problem been solved? The problem regarding apt package manager not being able to find the apt HTTPS module?

If you wish I can take a look at the server and see if maybe something else is wrong with the package manager apt.
Reply
#9
I got this problem too.
I would suggest backing up your files and reset ur server then upload the files back
Gimme +rep Heart
[Image: img.php?userid=496]
Thanks For Post4VPS and VPSlices for the amazing VPS 4
Reply
#10
@Hidden Refuge i am facing new to new problems on different steps. i do open new thread for those because those are different with this thread. i try many tutorial and many entries to resolve the issues but when i fails i do make thread here .because it's my community

Heart LOVE FOR ALL  HATRED FOR NONE Heart
Reply
 


Possibly Related Threads...
Thread Author Replies Views Last Post
  apt-get update and apt-get upgrade problem youssefbasha 28 1,709 07-16-2018, 11:20 AM
Last Post: youssefbasha

Forum Jump:


Users browsing this thread: 1 Guest(s)

Sponsors: VirMach - Host4Fun - CubeData - Evolution-Host - HostDare - SSDBlaze - VPSlices - Abc-Hosters - Hyper Expert - Shadow Hosting - Bladenode


About Post4VPS

Post4VPS is a forum/destiny where you can Delploy Your Free VPSs just by the Power of Posts.

We Provide VPSs of many locations like Germany,US,Canada,France,London,etc.

We also Provide VPSs of Both Linux and Windows OS.